import random
import math

def simu_B() :
    b = 0
    for k in range(80) :
        if random.randint(1,100) <= 65 :
            b = b+1
    return b

def simu_M(n) :
    ech = [simu_B() for i in range(n)]
    return sum(ech)/n
            
def simu_ecart_type() :
    n = 50
    ech = [simu_M(40) for i in range(n)]
    carres_ecarts = [(k-52)**2 for k in ech]
    V = sum(carres_ecarts)/n
    return math.sqrt(V)

def ecart() :
    ec1 = simu_ecart_type()
    ecb = math.sqrt(80*0.65*0.35)/math.sqrt(40)
    p = abs(ec1-ecb)/ecb
    return p
    
p = ecart()
print(f"Ecart : {100*p} %")

